Update public folder
PATCH
/domains/{domainID}/folders/{folderID}
const url = 'https://example.com/api/v1/domains/1/folders/1';const options = { method: 'PATCH', headers: { cookie: 'grommunioAuthJwt=<grommunioAuthJwt>', 'Content-Type': 'application/json' }, body: '{"displayname":"example","container":"IPF.Note","comment":"example","syncToMobile":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/domains/1/folders/1 \ --header 'Content-Type: application/json' \ --cookie grommunioAuthJwt=<grommunioAuthJwt> \ --data '{ "displayname": "example", "container": "IPF.Note", "comment": "example", "syncToMobile": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”domainID
required
integer
ID of the domain
folderID
required
integer
ID of the folder
Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Request Body
Section titled “Request Body”Media typeapplication/json
object
displayname
Name of the folder
string
container
Container class
string
comment
string
syncToMobile
boolean
Responses
Section titled “Responses”Folder update successful
Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}The requested resource could not be found
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}